# -*- coding: utf-8 -*-
"""gpaPredictClassifier.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1c1f0LH8fM9geEZ4W0E2l2n54QBgITSh1
"""

import numpy as np
import pandas as pd
from sklearn.model_selection import train_test_split
from sklearn.metrics import confusion_matrix
import joblib
import sklearn.linear_model as skl_lm
import io

from google.colab import files
uploaded = files.upload()
dataset = pd.read_csv(io.BytesIO(uploaded['NextGpa.csv']))

X=dataset[['pass units','fail units', 'mashruti', 'mashruti motevali','terms', 'TF-gpa', 'S-gpa','Th-gpa']]
Y=dataset['TTH-gpa']

x_train, x_test, y_train, y_test = train_test_split(X, Y, test_size = 0.2, random_state = 0, shuffle = True)

classifier = skl_lm.LinearRegression()
classifier.fit(x_train,y_train)
prediction = classifier.predict(x_test)

print("train score:")
print(round( (classifier.score(x_train,y_train)*100) , 2  )) 
print("test score:")
print(round( (classifier.score(x_test,y_test)*100) , 2 ))

joblib.dump(classifier, 'gpaPredictClassifier.joblib')